/* ========================================
 *  DoublePaul - DoublePaul.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __DoublePaul_DoublePaul_H
#define __DoublePaul_DoublePaul_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::DoublePaul {
enum {
  kNumParameters = 0
}; //


class DoublePaul final : public SfxCoreExtensionV1
{
public:
    DoublePaul();
    ~DoublePaul();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	double bL[11];		
	double bR[11];
	uint32_t fpdL;
	uint32_t fpdR;

};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
